TORRUS_COMPILEXML(8)

NAME
compilexml - Torrus XML configuration (re)compiler.

SYNOPSIS
torrus compilexml --tree=TREENAME [options...]

DESCRIPTION
This command compiles the Torrus's XML configuration for the tree TREENAME. It does not require any other processes to be restarted after the configuration is changed. The compiler processes the XML files in an incremental way: only the changes are processed.

OPTIONS

--all
    Instructs to compile configuration for all trees.

--noval
    Disables all validation of the XML configuration. This speeds up the compilation up to 2 times, while adding a risk to end up with an unusable configuration. In addition, the first initialization cycle of Collector and Monitor in this case would be much longer.

--force
    Normally the compiler looks for changes in XML files, and only processes the ones that differ from previous run. With force option, the compiler will consider all XML files as new, and process the whole configuration from scratch.

--nogc
    Normally the Git garbage collector is launched after the compilation is complete. This option makes the compiler skip the GC run. This can be useful if multiple compiler processes are started in parallel for different trees.

--debug
    Sets the log level to debug.

--verbose
    Sets the debug level to info.

--help
    Displays a help message.

SEE ALSO
torrus(8)

NOTES
See more documentation at Torrus home page: http://torrus.org

AUTHOR
Stanislav Sinyagin <ssinyagin@k-open.com>